Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706356 - =net-fs/davfs2-1.5.5: fails to build with -fno-common or gcc-10
Summary: =net-fs/davfs2-1.5.5: fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Göktürk Yüksek
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-25 20:16 UTC by Nils Freydank
Modified: 2020-01-28 02:32 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (net-fs:davfs2-1.5.5:20200125-201313.log,27.81 KB, text/x-log)
2020-01-25 20:17 UTC, Nils Freydank
Details
output of emerge --info (emerge-info,7.46 KB, text/plain)
2020-01-25 20:18 UTC, Nils Freydank
Details
davfs2-1.5.5-gcc-10.patch (davfs2-1.5.5-gcc-10.patch,325 bytes, patch)
2020-01-25 20:50 UTC, Sergei Trofimovich
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nils Freydank 2020-01-25 20:16:42 UTC
davfs2 does not build with -fno-common enabled, which needs to be addressed before the gcc-10 release.

Details can be found in bug 705764 (see blockers).

I’ll attach the build.log and emerge --info in a moment.

Reproducible: Always
Comment 1 Nils Freydank 2020-01-25 20:17:47 UTC
Created attachment 604386 [details]
build.log
Comment 2 Nils Freydank 2020-01-25 20:18:13 UTC
Created attachment 604388 [details]
output of emerge --info
Comment 3 Sergei Trofimovich gentoo-dev 2020-01-25 20:50:27 UTC
Created attachment 604406 [details, diff]
davfs2-1.5.5-gcc-10.patch
Comment 4 Sergei Trofimovich gentoo-dev 2020-01-25 20:55:10 UTC
Looking at upstream history it removed relevant files:

  revision 1.12
  date: 2013-08-09 17:16:35 +0100;  author: wbaumann;  state: dead;  lines: +0-0;  commitid: Y5i4bPqOxb3PtN0x;
  Remove support for Coda
Comment 5 Larry the Git Cow gentoo-dev 2020-01-28 02:32:12 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c9a5da79c40937e2cf8d91e9a8ea0e4d4c4d5329

commit c9a5da79c40937e2cf8d91e9a8ea0e4d4c4d5329
Author:     Göktürk Yüksek <gokturk@gentoo.org>
AuthorDate: 2020-01-27 23:44:56 +0000
Commit:     Göktürk Yüksek <gokturk@gentoo.org>
CommitDate: 2020-01-28 02:31:16 +0000

    net-fs/davfs2: fix building with gcc 10 #706356
    
    Closes: https://bugs.gentoo.org/706356
    Bug: http://savannah.nongnu.org/support/index.php?110186
    Package-Manager: Portage-2.3.84, Repoman-2.3.20
    Signed-off-by: Göktürk Yüksek <gokturk@gentoo.org>

 net-fs/davfs2/davfs2-1.5.5.ebuild             |  5 ++++-
 net-fs/davfs2/files/davfs2-1.5.5-gcc-10.patch | 18 ++++++++++++++++++
 2 files changed, 22 insertions(+), 1 deletion(-)